VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vapi::metadata::metamodel::Service Interface Reference

The `Service` interface provides methods to retrieve metamodel information about a service element in the interface definition language. More...

Inherited by vmware::vapi::metadata::metamodel::ServiceStub.

List of all members.

## Public Member Functions
global::System.Collections.Generic.List < string > | List ()
| Returns the identifiers for the service elements that are currently registered with the infrastructure.
global::System.Collections.Generic.List < string > | List (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns the identifiers for the service elements that are currently registered with the infrastructure.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < string > > | ListAsync ()
| Returns the identifiers for the service elements that are currently registered with the infrastructure.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < string > > | ListAsync (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns the identifiers for the service elements that are currently registered with the infrastructure.
vmware.vapi.metadata.metamodel.ServiceInfo | Get (string serviceId)
| Retrieves information about the service element corresponding to serviceId .
vmware.vapi.metadata.metamodel.ServiceInfo | Get (string serviceId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Retrieves information about the service element corresponding to serviceId .
global::System.Threading.Tasks.Task < vmware.vapi.metadata.metamodel.ServiceInfo > | GetAsync (string serviceId)
| Retrieves information about the service element corresponding to serviceId .
global::System.Threading.Tasks.Task < vmware.vapi.metadata.metamodel.ServiceInfo > | GetAsync (string serviceId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Retrieves information about the service element corresponding to serviceId .

## Detailed Description

The `Service` interface provides methods to retrieve metamodel information about a service element in the interface definition language.

A service is a logical grouping of operations that operate on some entity. A service element describes a service. It contains operation elements that describe the operations grouped in the service. It also contains structure elements and enumeration elements corresponding to the structures and enumerations defined in the service.

## Member Function Documentation

vmware.vapi.metadata.metamodel.ServiceInfo vmware::vapi::metadata::metamodel::Service::Get | ( | string | serviceId | ) |

Retrieves information about the service element corresponding to serviceId .

The ServiceInfo contains the metamodel information for the operation elements, structure elements and enumeration elements contained in the service element.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the service element associated with serviceId is not registered with the infrastructure.

Parameters:

  serviceId | Identifier of the service element. The parameter must be an identifier for the resource type: `com.vmware.vapi.service` .

Returns:
  The ServiceInfo instance that corresponds to serviceId

Implemented in vmware::vapi::metadata::metamodel::ServiceStub.

vmware.vapi.metadata.metamodel.ServiceInfo vmware::vapi::metadata::metamodel::Service::Get | ( | string | serviceId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Retrieves information about the service element corresponding to serviceId .

The ServiceInfo contains the metamodel information for the operation elements, structure elements and enumeration elements contained in the service element.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the service element associated with serviceId is not registered with the infrastructure.

Parameters:

  serviceId | Identifier of the service element. The parameter must be an identifier for the resource type: `com.vmware.vapi.service` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The ServiceInfo instance that corresponds to serviceId

Implemented in vmware::vapi::metadata::metamodel::ServiceStub.

global::System.Threading.Tasks.Task<vmware.vapi.metadata.metamodel.ServiceInfo> vmware::vapi::metadata::metamodel::Service::GetAsync | ( | string | serviceId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Retrieves information about the service element corresponding to serviceId .

The ServiceInfo contains the metamodel information for the operation elements, structure elements and enumeration elements contained in the service element.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the service element associated with serviceId is not registered with the infrastructure.

Parameters:

  serviceId | Identifier of the service element. The parameter must be an identifier for the resource type: `com.vmware.vapi.service` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The ServiceInfo instance that corresponds to serviceId

Implemented in vmware::vapi::metadata::metamodel::ServiceStub.

global::System.Threading.Tasks.Task<vmware.vapi.metadata.metamodel.ServiceInfo> vmware::vapi::metadata::metamodel::Service::GetAsync | ( | string | serviceId | ) |

Retrieves information about the service element corresponding to serviceId .

The ServiceInfo contains the metamodel information for the operation elements, structure elements and enumeration elements contained in the service element.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the service element associated with serviceId is not registered with the infrastructure.

Parameters:

  serviceId | Identifier of the service element. The parameter must be an identifier for the resource type: `com.vmware.vapi.service` .

Returns:
  The ServiceInfo instance that corresponds to serviceId

Implemented in vmware::vapi::metadata::metamodel::ServiceStub.

global::System.Collections.Generic.List<string> vmware::vapi::metadata::metamodel::Service::List | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Returns the identifiers for the service elements that are currently registered with the infrastructure.

The list of service elements is an aggregate list of all the service elements contained in all the package elements.

Returns:
  The list of identifiers for the service elements that are currently registered with the infrastructure. The result will contain identifiers for the resource type: `com.vmware.vapi.service` .

Implemented in vmware::vapi::metadata::metamodel::ServiceStub.

global::System.Collections.Generic.List<string> vmware::vapi::metadata::metamodel::Service::List | ( |  | ) |

Returns the identifiers for the service elements that are currently registered with the infrastructure.

The list of service elements is an aggregate list of all the service elements contained in all the package elements.

Returns:
  The list of identifiers for the service elements that are currently registered with the infrastructure. The result will contain identifiers for the resource type: `com.vmware.vapi.service` .

Implemented in vmware::vapi::metadata::metamodel::ServiceStub.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<string> > vmware::vapi::metadata::metamodel::Service::ListAsync | ( |  | ) |

Returns the identifiers for the service elements that are currently registered with the infrastructure.

The list of service elements is an aggregate list of all the service elements contained in all the package elements.

Returns:
  The list of identifiers for the service elements that are currently registered with the infrastructure. The result will contain identifiers for the resource type: `com.vmware.vapi.service` .

Implemented in vmware::vapi::metadata::metamodel::ServiceStub.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<string> > vmware::vapi::metadata::metamodel::Service::ListAsync | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Returns the identifiers for the service elements that are currently registered with the infrastructure.

The list of service elements is an aggregate list of all the service elements contained in all the package elements.

Returns:
  The list of identifiers for the service elements that are currently registered with the infrastructure. The result will contain identifiers for the resource type: `com.vmware.vapi.service` .

Implemented in vmware::vapi::metadata::metamodel::ServiceStub.

The documentation for this interface was generated from the following file:

- vapi/metadata/metamodel/Service.cs